POST /oauth/userinfo
Idem GET (token só no header Authorization)
- Access: Public
- Service:
https://auth-api.axuz.net
Accepted authentication
bearerAccess
Valida o access token (assinatura, typ, iss, exp, grant vivo), exige o escopo openid e devolve sub (ID interno imutável, NUNCA e-mail) mais name/email/email_verified conforme profile/email.
Userinfo implementa GET/POST /oauth/userinfo.
Parameters
No parameters.
Request body
Corpo JSON. O schema detalhado deste endpoint ainda não está tipado na spec; veja a descrição da operação.
application/json
| Name | Type | Required | Description |
|---|---|---|---|
(corpo) | object | no |
{}Responses
200
Claims.
| Name | Type | Required | Description |
|---|---|---|---|
sub | string<uuid> | yes | ID interno imutável. Nunca e-mail. |
name | string | no | scope profile |
email | string | no | scope email |
email_verified | boolean | no | scope email |
401
Erro do protocolo (RFC 6749 §5.2).
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes | invalid_request, invalid_client, invalid_grant, unauthorized_client, unsupported_grant_type, invalid_scope, invalid_token, insufficient_scope, access_denied, login_required, consent_required, enrollment_required, rate_limited, not_found, server_error. |
error_description | string | no |
403
Erro do protocolo (RFC 6749 §5.2).
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes | invalid_request, invalid_client, invalid_grant, unauthorized_client, unsupported_grant_type, invalid_scope, invalid_token, insufficient_scope, access_denied, login_required, consent_required, enrollment_required, rate_limited, not_found, server_error. |
error_description | string | no |
429
Limite de requisições excedido.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
500
Erro interno. Tente de novo com backoff; reporte o X-Request-Id.
| Name | Type | Required | Description |
|---|---|---|---|
error | string | yes |
Examples
"Try it" is turned off in this reference. Use the examples with your test credential.
curl
curl -sS -X POST 'https://auth-api.axuz.net/oauth/userinfo' \
-H "Cookie: access_token=$AXUZ_SESSION_JWT" \
-H "Content-Type: application/json" \
-d '{}'Node.js
const res = await fetch("https://auth-api.axuz.net/oauth/userinfo", {
method: 'POST',
headers: {
Cookie: `access_token=${process.env.AXUZ_SESSION_JWT}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({}),
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"POST",
"https://auth-api.axuz.net/oauth/userinfo",
headers={
"Cookie": f"access_token={os.environ['AXUZ_SESSION_JWT']}",
},
json={},
timeout=30,
)
res.raise_for_status()
print(res.json())